%array
DIGIT    [0-9]
STRING [A-Za-z0-9_]+
%%


<<EOF>> {return 0;}

-?{DIGIT}+ return 1; // Integer
-?{DIGIT}+"."{DIGIT}+ return 2; // Float

"TRACE_EVENT" return 3; // Keyword TRACE_EVENT
"COLOR_RANGE" return 4; // Keyword COLOR_RANGE
"TRACE_ARROW" return 9; // Keyword TRACE_ARROW

"/\*" return 5; // Comment begin

"\*/" return 6; // Comment end

{STRING} return 7;

[ \t\n]+ return 8;

. return 8;


