// group lock example program as tracing demo.  CWK 9907

#include <fork.h>
#include <io.h>
#include <stdlib.h>


sh int x=17;

int b=1;

sh struct cmplx_int {
  int re;
  int im;
  fair_lock fglock;   /* used as a fair group lock */
} common;

int main(void) 
{
  start {
   int PC;
    initTracing( 10000 );
    startTracing();
   seq fair_lock_init(&(common.fglock));
   //pprintf("before if: $$=%d\n", $$);
   if ($ % 2) {
      seq  fair_lockup( &(common.fglock));
      common.re = 45;
      common.im = 2 * common.re;
      seq  fair_unlock( &(common.fglock));
      //pprintf("after then: $$=%d gs=%d\n", $$, groupsize());
   }
   else {
      seq  fair_lockup( &(common.fglock));
      common.im = 17;
      common.re = 23;
      seq  fair_unlock( &(common.fglock));
      //pprintf("after else: $$=%d gs=%d\n", $$, groupsize());
   }
   //farm {
     //asm("stg pc,%PC");
     //pprintf("after if: $$=%d gs=%d PC=%p\n", $$, groupsize(), PC);
   //}
   seq
      printf("common.re = %d, common.im = %d\n",
             common.re, common.im);
   stopTracing();
   writeTraceFile( "glock2.trv", "group lock example with printf" );
  }
  return 0;
}
